﻿@using Microsoft.AspNetCore.Authorization
@using Ngochau.Web.Authorization
@inject IAuthorizationService AuthorizationService

@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
    var resultCreate = await AuthorizationService.AuthorizeAsync(User, "Master", Operations.Create);
    var resultUpdate = await AuthorizationService.AuthorizeAsync(User, "Master", Operations.Update);
    var resultDelete = await AuthorizationService.AuthorizeAsync(User, "Master", Operations.Delete);
}

@section Scripts{
    @*<script src="/assets/js/vendor/jquery.dataTables.min.js"></script>
    <script src="/assets/js/vendor/dataTables.bootstrap5.js"></script>
    <script src="/assets/js/vendor/dataTables.responsive.min.js"></script>
    <script src="/assets/js/vendor/responsive.bootstrap5.min.js"></script>
    <script src="/assets/js/vendor/dataTables.checkboxes.min.js"></script>
    <script src="/assets/js/pages/demo.products.js"></script>
    <script src="/Ngochau/table-treegrid/js/jquery.treegrid.js"></script>*@
    <script src="/controller/masterorder/masterorders.js" asp-append-version="true"></script>

}
    @section Styles{
    @*<link href="/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />*@
    @*<link href="/Ngochau/table-treegrid/css/jquery.treegrid.css" rel="stylesheet" type="text/css" />*@
    }

    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <h4 class="page-title">Quản lý đơn hàng Master</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            <div class="col-xl-6">
                                <form class="row gy-2 gx-2 align-items-center justify-content-xl-start justify-content-between">
                                    <div class="col-auto">
                                        <label for="inputPassword2" class="visually-hidden">Search</label>
                                        <input type="text" class="form-control" id="txtSearchMasterOrder" placeholder="Tìm kiếm...">
                                    </div>
                                    <div class="col-auto">
                                        <div class="d-flex align-items-center">
                                            <select class="form-select" id="ddlStatusSearch">
                                                <option value="0">Chọn trạng thái đơn hàng</option>
                                                <option value="1">Mới</option>
                                                <option value="2">Đang xử lý</option>
                                                <option value="3">Đóng</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <a class="btn btn-primary" onclick="OnClickSearch()"><i class="uil-search"></i> Tìm kiếm</a>
                                    </div>
                                </form>
                            </div>
                            <div class="col-xl-6">
                                <div class="text-xl-end mt-xl-0 mt-2">
                                    <a class="btn btn-primary mb-2 me-2" href="/cpanel/masterorder/masterorderdetail"><i class="uil-plus"></i> Thêm mới</a>
                                    <a onclick="ExportExcel()" class="btn btn-info  mb-2 me-2"><i class="mdi mdi-basket me-1"></i> Export mẫu</a>
                                    <button type="button" class="btn btn-primary mb-2" data-bs-toggle="modal" data-bs-target="#staticBackdrop">
                                        <i class="mdi mdi-basket me-1"></i> Import PDF
                                    </button>
                                </div>
                            </div><!-- end col-->
                        </div>

                        <div class="table-responsive">
                            <table class="table table-centered table-nowrap mb-0" id="tblPOs">
                                <thead class="table-light">
                                    <tr>
                                        <th style="width: 20px;">
                                            <div class="form-check">
                                                <input type="checkbox" class="form-check-input" id="chkParentRole">
                                                <label class="form-check-label" for="chkParentRole">&nbsp;</label>
                                            </div>
                                        </th>
                                        <th>PO</th>
                                        <th>Tên PO master</th>
                                        <th>Mã khách hàng</th>
                                        <th>Tên khách hàng</th>
                                        <th>Ngày nhập</th>
                                        <th>Trạng thái</th>
                                        <th>Tổng số lượng</th>
                                        <th>Tổng tiền cọc (Total Deposit)</th>
                                        <th>Tổng tiền</th>
                                        <th style="text-align:center">Action</th>
                                    </tr>
                                </thead>
                                <tbody id="tbMasterOrder">
                                </tbody>
                            </table>
                        </div>

                        <div class="row">
                            <div class="col-sm-12 col-md-12 d-flex flex-row justify-content-between p-2">
                                <div class="d-flex flex-row justify-content-start">
                                    <div class="dataTables_paginate paging_simple_numbers p-1" style="float:right;" id="basic-datatable_paginate">
                                        <ul class="pagination pagination-rounded" id="paginationUL">
                                        </ul>
                                    </div>
                                    <div class="p-2">
                                        <div class="form-label">Hiển thị</div>
                                    </div>
                                    <div class="p-1">
                                        <select name="basic-datatable_length" aria-controls="basic-datatable" id="ddlShowPage" class="form-select form-select-sm">
                                            <option value="10">10</option>
                                            <option value="25">25</option>
                                            <option value="50">50</option>
                                            <option value="100">100</option>
                                        </select>
                                    </div>
                                    <div class="p-2">
                                        mục
                                    </div>
                                </div>

                                <div class="dataTables_info d-flex justify-content-end p-2" id="lblTotalRecords" role="status" aria-live="polite">
                                </div>
                            </div>
                            <div style="clear:both;"></div>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>
        <!-- end row -->
    </div>

    <!-- Button trigger modal -->
    <!-- Modal -->
    <div class="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="staticBackdropLabel">Import file PDF</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="form-group mb-2">
                        <div class="row">
                            <div class="col-md-4">
                                <label for="ddlCustomer" class="lh-38">Chọn khách hàng <span style="color:red"> * </span></label>
                            </div>
                            <div class="col-md-8">
                                <select class="form-control select2 col-lg-9" data-toggle="select2" id="ddlCustomer">
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="form-group mb-2">
                        <div class="row">
                            <div class="col-md-4">
                                <label for="ddlCustomer" class="lh-38">Chọn file <span style="color:red"> * </span></label>
                            </div>
                            <div class="col-md-8">
                                <input class="form-control" type="file" id="formFile">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Đóng</button>
                    <a onclick="ImportFile()" class="btn btn-primary">Import</a>
                </div>
            </div>
        </div>
    </div>

    <script id="table-template-masterOrder" type="x-tmpl-mustache">
            <tr>
                <td>
                    <div class="form-check">
                        <input type="checkbox" class="form-check-input chkRole" onclick='CheckRole()'>
                        <label class="form-check-label" for="chkRole">&nbsp;</label>
                        <input type="hidden" class="form-check-input POId" value ='{{Id}}'>
                    </div>
                </td>

                <td><a class="text-body fw-bold">#{{Code}}</a> </td>
                <td>
                    {{Name}}
                </td>
                <td style="text-align:center"> {{CustomerCode}} </td>
                <td> {{CustomerName}} </td>
                <td>
                    {{CreateDate}} <small class="text-muted">{{CreateTime}}</small>
                </td>
                <td>
                    <h5>{{{Status}}}</h5>
                </td>
                <td style="text-align:center">
                    {{TotalQuantity}}
                </td>
                <td style="text-align:center">
                    {{TotalDeposit}}
                </td>
                <td style="text-align:center">
                    {{TotalMoney}}
                </td>
                <td style="text-align:center">
                    <a href="/cpanel/masterorder/masterorderdetail?id={{Id}}" class="action-icon"> <i class="mdi mdi-eye"></i></a>
                    <a href="/cpanel/masterorder/masterorderdetail?id={{Id}}" class="action-icon"> <i class="mdi mdi-square-edit-outline"></i></a>
                    <a onclick="Delete('{{Id}}')" class="action-icon"> <i class="mdi mdi-delete"></i></a>
                </td>
        </tr>


    </script>



